<?php
	function vrniImeFigure($trenutnoPolje) 
	{
		$tipFigure = "";
		switch ($trenutnoPolje) 
		{
			case 'R':
				$tipFigure = "slike/velikiR.png";
				break;
			case 'N':
				$tipFigure = "slike/velikiN.png";
				break;
			case 'B':
				$tipFigure = "slike/velikiB.png";
				break;
			case 'K':
				$tipFigure = "slike/velikiK.png";
				break;
			case 'Q':
				$tipFigure = "slike/velikiQ.png";
				break;
			case 'P':
				$tipFigure = "slike/velikiP.png";
				break;
			case 'r':
				$tipFigure = "slike/maliR.png";
				break;
			case 'n':
				$tipFigure = "slike/maliN.png";
				break;
			case 'b':
				$tipFigure = "slike/maliB.png";
				break;
			case 'k':
				$tipFigure = "slike/maliK.png";
				break;
			case 'q':
				$tipFigure = "slike/maliQ.png";
				break;
			case 'p':
				$tipFigure = "slike/maliP.png";
				break;
		}
		return $tipFigure;                          
	}
?>
<?php
	//require_once("lib/nusoap.php");
	
	$client = new SoapClient("http://bl4cky-hp:9192/ws.asmx?wsdl");
	$stanjeSahovnica = $client->getPolje()->getPoljeResult;
	
	echo "<table>";
		echo "<tr class='paddingTopNaslovTabela'>";
			echo "<td class='velikostEna'>";
				echo "<p class='pisava'><span class='krepko'>Podatki o času</span></p>";
			echo "</td>";
			echo "<td class='velikostDva'>";
				echo "<p class='pisava'><span class='krepko'>Podatki o igri</span></p>";
			echo "</td>";
		echo "</tr>";
		echo "<tr class='paddingTopVsebinaTabela'>";
			echo "<td class='velikostEna'>";
				echo "<p class='pisava'>Igralec z belimi figurami: " . $client->getPodatekCasBeli()->getPodatekCasBeliResult . "</p>";
			echo "</td>";
			echo "<td class='velikostDva'>";
				echo "<p class='pisava'>Igralec na vrsti: </p>";
			echo "</td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td class='velikostEna'>";
				echo "<p class='pisava'>Igralec s črnimi figrami: " . $client->getPodatekCasCrni()->getPodatekCasCrniResult . "</p>";
			echo "</td>";
			echo "<td class='velikostDva'>";
				$igralecNaVrsti = $client->getPodatekIgralecNaVrsti()->getPodatekIgralecNaVrstiResult;
				if ($igralecNaVrsti[0] != "")
					echo "<p class='pisava'>". $igralecNaVrsti ."</p>";
				else
					echo "<p class='pisava'>Ni podatka.</p>";
			echo "</td>";
		echo "</tr>";
	echo "</table>";
	
	$j = 0;
	$k = 0;
	$num = 8;
	
	echo "<div class='div-table'>";
		echo "<div class='div-table-row-label-vodoravno'>";
		echo "<div class='div-table-col-label-vodoravno-navpicno paddingRight'></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>a</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>b</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>c</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>d</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>e</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>f</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>g</span></div>";
		echo "<div class='div-table-col-label-vodoravno'><span>h</span></div>";
		echo "<div class='div-table-col-label-vodoravno-navpicno'></div>";
		echo "</div>";
		for ($i=0; $i<64; $i++)
		{
			if ($i % 8 == 0)
			{
				echo "<div class='div-table-row'>";
				
				echo "<div class='div-table-col-label-navpicno-left paddingRight'><span>". $num . "</span></div>";
				$j++;
				$k = 0;
			}
			
			if ($j % 2 == 0)
			{
				$k++;
				if ($i % 2 == 0)
				{
					echo "<div class='div-table-col col-background-gray'>";
					if ($stanjeSahovnica[$i] != '-')
						echo "<img src='" . vrniImeFigure($stanjeSahovnica[$i]) . "' />";
					echo "</div>";
				}
				else
				{
					echo "<div class='div-table-col col-background-white'>";
					if ($stanjeSahovnica[$i] != '-')
						echo "<img src='" . vrniImeFigure($stanjeSahovnica[$i]) . "' />";
					echo "</div>";
				}
			}
			else
			{
				$k++;
				if ($i % 2 == 0)
				{
					echo "<div class='div-table-col col-background-white'>";
					if ($stanjeSahovnica[$i] != '-')
						echo "<img src='" . vrniImeFigure($stanjeSahovnica[$i]) . "' />";
					echo "</div>";
				}
				else
				{
					echo "<div class='div-table-col col-background-gray'>";
					if ($stanjeSahovnica[$i] != '-')
						echo "<img src='" . vrniImeFigure($stanjeSahovnica[$i]) . "' />";
					echo "</div>";
				}
			}
			
			if ($k == 8)
			{
				echo "<div class='div-table-col-label-navpicno-right paddingLeft'><span>". $num . "</span></div>";
				$num--;
				echo "</div>";
			}
		}
		echo "<div class='div-table-row-label-vodoravno'>";
		echo "<div class='div-table-col-label-vodoravno-navpicno paddingRight'></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>a</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>b</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>c</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>d</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>e</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>f</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>g</span></div>";
		echo "<div class='div-table-col-label-vodoravno paddingTop'><span>h</span></div>";
		echo "<div class='div-table-col-label-vodoravno-navpicno'></div>";
		echo "</div>";
	echo "</div>";
?>